Class | Bio::Sim4::Report::Segment
In: | lib/bio/appl/sim4/report.rb
Parent: | Object

Segment informations of a segment pair.

### Methods

new

### Attributes

from | [R] | start position of the segment (the first position is 1)
seq | [R] | sequence (with gaps) of the segment
to | [R] | end position of the segment (including its position)

### Public Class methods

new(pos_st, pos_ed, seq = nil)

Creates a new Segment object. It is designed to be called internally from Bio::Sim4::Report::SegmentPair class. Users shall not use it directly.

[Source]

         # File lib/bio/appl/sim4/report.rb, line 253
    253:         def initialize(pos_st, pos_ed, seq = nil)
    254:           @from = pos_st.to_i
    255:           @to   = pos_ed.to_i
    256:           @seq  = seq
    257:         end

[Validate]